# SPEC file for gnuradio
#
#
# Source: ftp://ftp.gnu.org/gnu/gnuradio/gnuradio-3.2.2.tar.gz
#
# Signature: ftp://ftp.gnu.org/gnu/gnuradio/gnuradio-3.2.2.tar.gz.sig
#
%define name gnuradio
%define version 3.2.2
%define release 21
%define actual_name %{name}-%{version}

%define module_taglevel_varname release

Name: %{name}
Summary: GNU software radio
Version: %{version}
Release: %{release}
License: GPLv3
URL: ftp://ftp.gnu.org/gnu/gnuradio/gnuradio-3.2.2.tar.gz
Group: Productivity/Hamradio/Other
Source0: %{actual_name}.tar.gz
Source1:	10-usrp.rules
Patch0:		gnuradio-3.2-libtool.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires: python python-numeric PyQt4 swig fftw sdcc gsl libtool 
BuildRequires: subversion guile cppunit gcc gcc-c++ make
BuildRequires: boost-devel >= 1.35
BuildRequires: python-devel fftw-devel boost-devel gsl-devel libusb-devel
BuildRequires: cppunit-devel


Requires: python python-numeric PyQt4 swig fftw libtool
Requires: boost >= 1.35

%description
gnuradio is a free software radio toolkit

%prep
%setup -q -n %{actual_name}
%patch0 -p1 -b .libtool


%build
export PKG_CONFIG_PATH="/usr/lib/pkgconfig"
# dirty hack to let gnuradio configure find sdcc
export PATH=%{_libexecdir}/sdcc:$PATH

########## the bootstrap script basically reruns autoconf and automake
%if "%{distro}" == "Fedora" && %{distrorelease} >= 12
autoreconf -i
%configure --disable-doxygen
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}
%else
bash -x ./bootstrap
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/10-usrp.rules

#make DESTDIR=$RPM_BUILD_ROOT install
%makeinstall

%post
echo 'export PYTHONPATH=/usr/lib/python2.5/site-packages/' >> ~/.bashrc
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT



%package -n %{name}-devel
Summary: gnuradio devel files
Version: %{version}
Release: %{release}
Group:   Productivity/Hamradio/Other
Requires: gnuradio

%description -n %{name}-devel
Devel package of gnuradio

%post -n %{name}-devel
/sbin/ldconfig

%postun -n %{name}-devel
/sbin/ldconfig

%files -n %{name}-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.la


%files -n %{name}
%defattr(-,root,root,-)
%{_bindir}/*
%dir /etc/gnuradio
%config /etc/gnuradio/*
%{_libdir}/lib*so*
%{_libdir}/python*/site-packages/
%{_datadir}/doc/*
%dir %{_datadir}/gnuradio
%{_datadir}/gnuradio/*
%dir %{_datadir}/usrp
%{_datadir}/usrp/*
# TO FIX: if the 2 following commands are removed, the rpmbuild fails!
# It's weird because rev2 and rev3 directories are indeed created at the 
# right place (/usr/share/rev*) when the rpm is installed...
%{_datadir}/rev2/*
%{_datadir}/rev4/*
%config(noreplace) %{_sysconfdir}/udev/rules.d/10-usrp.rules
%doc AUTHORS README README.hacking ChangeLog NEWS INSTALL COPYING



%changelog -n gnuradio
* Wed Oct 8 2009 Thierry Turletti <turletti@sophia.inria.fr> 3.2.2-2.1
- fixed lots of missing parameters...

* Thu Oct 1 2009 Thierry Turletti <turletti@sophia.inria.fr> 3.2.2-2.0
- derived from previous gnuradio-3.2 spec file written by Ben Yahmed Maher <ben.yahmed.maher@gmail.com>. Changes made to compile the new 3.2.2 gnuradio version on F10 with both USRP and USRP2 hardware enabled.

* Wed Apr 1 2009  Ben Yahmed Maher <ben.yahmed.maher@gmail.com> 3.2.2-1.2
- change to svn 10720 with fedora 10



